Application management API

Last updated:2022-10-27
Expand all
Application management API

Developer can call JVerification Admin APIOpen a key.Loginfunction. This one. API Chile https://admin.verification.jpush.cn/

Note:Admin API Not yet fully open, please use this feature Contact us.

Call Authentication

Jiguang REST API Adopt HTTP Basic authentication.

The basic approach is:HTTP HeaderRiga. Authorization:

Authorization: Basic ${base64_auth_string} That's it. base64_auth_string The generation algorithm is:base64(dev_key:dev_secret)

Request to open one-tap login

Functional description

For Developer Account appKey Open a key.Loginfunction, and at the same time open a number authentication.

Call Address

POST https://admin.verification.jpush.cn/v1/admin/open

Example request

curl -X POST https://admin.verification.jpush.cn/v1/admin/open \ -u 'c4a614b54b23fb654b9d98e0:063f0a07f558f75388698512' \ -H 'Content-Type: application/json' \ -d '{ "app_key": "bbd30f38e858211953e8424a", "platform": "a", "app_sign": "20f46148b72d8e5e5ca23d37a4f41492", "rsa_pubkey": "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCeMnBOsLq4rWic4ez/FHUhppbnyd2Jjvqpw6Cc+YIvZFO988KR04H2BFRBnST+JkIh6lAJGe9tjOnHTYNO7+DUKuodv31DJiNWhI6u7KtGX6Humajls1+9XkA2qzSTfrjZoSzlQWFUMC3WP+nXT+pd0291GF+BSDT0Yuu3dxx/1QIDA111", "callback_url": "https://www.jiguang.cn/callback", "package_name": "jiguang", "app_intro": "jiguang test demo introduction", "app_type": "1" }'
          curl -X POST https://admin.verification.jpush.cn/v1/admin/open \
 -u 'c4a614b54b23fb654b9d98e0:063f0a07f558f75388698512' \
 -H 'Content-Type: application/json' \
 -d '{
 "app_key": "bbd30f38e858211953e8424a",
 "platform": "a",
 "app_sign": "20f46148b72d8e5e5ca23d37a4f41492",
 "rsa_pubkey": "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCeMnBOsLq4rWic4ez/FHUhppbnyd2Jjvqpw6Cc+YIvZFO988KR04H2BFRBnST+JkIh6lAJGe9tjOnHTYNO7+DUKuodv31DJiNWhI6u7KtGX6Humajls1+9XkA2qzSTfrjZoSzlQWFUMC3WP+nXT+pd0291GF+BSDT0Yuu3dxx/1QIDA111",
 "callback_url": "https://www.jiguang.cn/callback",
 "package_name": "jiguang",
 "app_intro": "jiguang test demo introduction",
 "app_type": "1"
}'

        
This code block is shown in the floating window

** Request parameters**

Keyword Options Meaning
app_key Y Jiguang appKey
platform Y Open the platform.Andoird:a、iOS:i
package _name Y Android Package name or iOS Yes. Bundle ID, the package name needs to be separated by a dot. com.xxx
app_sign N Apply signature, when paltform is a mandatory, case-sensitive, for double-identifying applications, usually with 32 lowercase letters and Numerical Composition
app_type Y Application type, 1: game, 2: application
app_intro Y Profile of application60-1200 Character, a Han word is 2 characters)
rsa_pubkey Y RSA Encrypt the public key.1024 bits, key format:PKCS#8
callback_url Y Reconcile address to receive opening result

Response Example

Request succeeded

{ "code": 9200 }
          {
 "code": 9200
}

        
This code block is shown in the floating window

** Request failed**

{ "code": 9012, "content": "parameter invalid" }
          {
 "code": 9012,
 "content": "parameter invalid"
} 

        
This code block is shown in the floating window

** Response parameters**

Keyword Meaning
code Return Code
content Response Code Reference

Turn it on and back up.

One key to submit the application.LoginAfter success,Jiguang callbackUrl Send post Call back, back up the results.content-type Yes. application/json, Request:

{ "app_key": "bbd30f38e858211953e84a4a", "platform": "i", "code": "9200", }
          {
 "app_key": "bbd30f38e858211953e84a4a",
 "platform": "i",
 "code": "9200", 
}

        
This code block is shown in the floating window

Query one-tap loginOpen

Functional description

Question appKey One-Tap LoginOpen up.

Call Address

POST https://admin.verification.jpush.cn/v1/admin/query

Example request

curl -X POST https://admin.verification.jpush.cn/v1/admin/query \ -u 'c4a614b54b23fb654b9d98e3:063f0a01f558f7538869851c' \ -H 'Content-Type: application/json' \ -d '{ "app_key": "bbd30f38e858211953e84a1a", "platform": "i" }'
          curl -X POST https://admin.verification.jpush.cn/v1/admin/query \
 -u 'c4a614b54b23fb654b9d98e3:063f0a01f558f7538869851c' \
 -H 'Content-Type: application/json' \
 -d '{
 "app_key": "bbd30f38e858211953e84a1a",
 "platform": "i"
}'

        
This code block is shown in the floating window

** Request parameters**

Keyword Options Meaning
app_key Y Jiguang appKey
paltform Y Open the platform.Andoird:a、iOS:i

Response Example

Request succeeded

{ "status": "PASS" }
          {
 "status": "PASS"
}

        
This code block is shown in the floating window

** Request failed**

{ "code": 9012, "content": "parameter invalid" }
          {
 "code": 9012,
 "content": "parameter invalid"
} 

        
This code block is shown in the floating window

** Response parameters**

Keyword Meaning
code Return Code
content Response Code Reference
status Open state.NONE: Unopened,PASSNO_PASS

Return Code

Please.Response Code ReferenceDocuments:Response Code Reference

Was this document helpful?

Copyright 2011-2026, jiguang.cn, All Rights Reserved. 粤ICP备12056275号-13 Shenzhen Hexun Huagu Information Technology Co., Ltd.

Open in Docs Center